LinuxQuestions.org
Share your knowledge at the LQ Wiki.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices



Reply
 
Search this Thread
Old 08-01-2001, 06:05 PM   #1
glorinc
LQ Newbie
 
Registered: Aug 2001
Distribution: Red Hat
Posts: 8

Rep: Reputation: 0
Question glibc upgrade question


Quick question for the Brain Trust:

I'm trying to install GNUCash, and to do this I need to install some other packages. Long story short, I need to upgrade my glibc packages.

So I'm trying to do this, but to upgrade glibc, I get a dependency error -- it needs the glibc-common package to be upgraded. When I try to upgrade the glibc-common package, it fails, requesting that glibc be upgraded. (kind of like a chicken / egg thing)

I'd appreciate any assistance anyone can offer.

Greg

[root RedHat ~]# rpm -i --test glibc-2.2-12.i386.rpm
error: failed dependencies:
glibc-common = 2.2 is needed by glibc-2.2-12
[root RedHat ~]# rpm -i --test glibc-common-2.2-12.i386.rpm
error: failed dependencies:
glibc < 2.2-12 conflicts with glibc-common-2.2-12
 
Old 08-02-2001, 12:52 PM   #2
chrisb
LQ Newbie
 
Registered: Mar 2001
Posts: 6

Rep: Reputation: 0
I'm trying to do the same thing, and so this is what you must do..

install gnucash rpm using the following options to rpm command

rpm -i --nodeps

this should install it without any deps problem

otherwise consult the manual with

man rpm

this should shed some light
 
Old 08-02-2001, 09:59 PM   #3
glorinc
LQ Newbie
 
Registered: Aug 2001
Distribution: Red Hat
Posts: 8

Original Poster
Rep: Reputation: 0
Talking additional gnucash help

Thanks for the help!

For anyone else out there looking for the rpms for GNUCash, these links may help:

http://www.gnumatic.com/pipermail/gn...ay/003561.html

ftp://ftp.linux.org.uk/pub/linux/plain-GNOME/

Thanks again!
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
newb question on GNU glibc-2.3.1 upgrade to GNU glibc-2.3.2 clindy528 Slackware 1 11-10-2005 07:49 AM
upgrade glibc pagla_ghoda Linux - Software 9 09-14-2005 03:06 PM
upgrade glibc 2.2.4 treotan Linux - Software 1 08-30-2005 05:11 AM
upgrade glibc-2.2.4 to glibc-2.3.2 on redhat 7.2 Shuja Red Hat 0 07-28-2004 07:10 AM
how to upgrade from glibc 2.2.4 to 2.3.x lpriyamb Linux - Software 1 09-12-2003 06:44 AM


All times are GMT -5. The time now is 07:28 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration